#!/bin/sh
# $Id: autogen.sh,v 1.2 2011-09-08 00:09:50 miras Exp $

if [ ! -e config ]; then
    mkdir config
fi

if [ ! -e m4 ]; then
    mkdir m4
fi

if [ ! -e auxdir ]; then
    mkdir auxdir
fi

aclocal -I m4 \
  && libtoolize --force --copy \
  && autoheader \
  && automake --add-missing --gnu --copy \
  && autoconf \
  && ./configure --enable-maintainer-mode $@
